=== debian/changelog ===
qr-code-generator (1.4.0-1) unstable; urgency=medium

  * New upstream release
  * Fix FTBFS on arch any (Closes: #914148)
  * Add autopkgtest

 -- Yangfl <mmyangfl@gmail.com>  Sun, 18 Nov 2018 15:00:20 +0800

qr-code-generator (1.2.1-1) unstable; urgency=medium

  * Initial release (Closes: #909158)

 -- Yangfl <mmyangfl@gmail.com>  Wed, 19 Sep 2018 12:46:28 +0800
