=== debian/control ===
Source: qr-code-generator
Section: libs
Priority: optional
Maintainer: Yangfl <mmyangfl@gmail.com>
Build-Depends:
 debhelper (>=11~),
 dh-python,
 python3,
 python3-setuptools,
Standards-Version: 4.2.1
Homepage: https://github.com/nayuki/QR-Code-generator
Vcs-Git: https://salsa.debian.org/yangfl-guest/QR-Code-generator.git
Vcs-Browser: https://salsa.debian.org/yangfl-guest/QR-Code-generator

Package: libqrcodegen1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: QR Code generator library in multiple languages - C version
 This project aims to be the best, clearest QR Code generator library in
 multiple languages. The primary goals are flexible options and absolute
 correctness. Secondary goals are compact implementation size and good
 documentation comments. Core features:
  * Available in 7 programming languages, all with nearly equal functionality:
    Java, JavaScript, TypeScript, Python, C++, C, Rust
  * Significantly shorter code but more documentation comments compared to
    competing libraries
  * Supports encoding all 40 versions (sizes) and all 4 error correction levels,
    as per the QR Code Model 2 standard
  * Output formats: Raw modules/pixels of the QR symbol (all languages), SVG XML
    string (all languages except C), BufferedImage raster bitmap (Java only),
    HTML5 canvas (JavaScript and TypeScript only)
  * Encodes numeric and special-alphanumeric text in less space than general
    text
  * Open source code under the permissive MIT License
 .
 This package contains the shared library in C.

Package: libqrcodegen-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqrcodegen1 (= ${binary:Version}), ${misc:Depends}
Description: QR Code generator library in multiple languages - C development headers
 This project aims to be the best, clearest QR Code generator library in
 multiple languages. The primary goals are flexible options and absolute
 correctness. Secondary goals are compact implementation size and good
 documentation comments. Core features:
  * Available in 7 programming languages, all with nearly equal functionality:
    Java, JavaScript, TypeScript, Python, C++, C, Rust
  * Significantly shorter code but more documentation comments compared to
    competing libraries
  * Supports encoding all 40 versions (sizes) and all 4 error correction levels,
    as per the QR Code Model 2 standard
  * Output formats: Raw modules/pixels of the QR symbol (all languages), SVG XML
    string (all languages except C), BufferedImage raster bitmap (Java only),
    HTML5 canvas (JavaScript and TypeScript only)
  * Encodes numeric and special-alphanumeric text in less space than general
    text
  * Open source code under the permissive MIT License
 .
 This package contains the development files in C.

Package: libqrcodegencpp1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: QR Code generator library in multiple languages - C++ version
 This project aims to be the best, clearest QR Code generator library in
 multiple languages. The primary goals are flexible options and absolute
 correctness. Secondary goals are compact implementation size and good
 documentation comments. Core features:
  * Available in 7 programming languages, all with nearly equal functionality:
    Java, JavaScript, TypeScript, Python, C++, C, Rust
  * Significantly shorter code but more documentation comments compared to
    competing libraries
  * Supports encoding all 40 versions (sizes) and all 4 error correction levels,
    as per the QR Code Model 2 standard
  * Output formats: Raw modules/pixels of the QR symbol (all languages), SVG XML
    string (all languages except C), BufferedImage raster bitmap (Java only),
    HTML5 canvas (JavaScript and TypeScript only)
  * Encodes numeric and special-alphanumeric text in less space than general
    text
  * Open source code under the permissive MIT License
 .
 This package contains the shared library in C++.

Package: libqrcodegencpp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqrcodegencpp1 (= ${binary:Version}), ${misc:Depends}
Description: QR Code generator library in multiple languages - C++ development headers
 This project aims to be the best, clearest QR Code generator library in
 multiple languages. The primary goals are flexible options and absolute
 correctness. Secondary goals are compact implementation size and good
 documentation comments. Core features:
  * Available in 7 programming languages, all with nearly equal functionality:
    Java, JavaScript, TypeScript, Python, C++, C, Rust
  * Significantly shorter code but more documentation comments compared to
    competing libraries
  * Supports encoding all 40 versions (sizes) and all 4 error correction levels,
    as per the QR Code Model 2 standard
  * Output formats: Raw modules/pixels of the QR symbol (all languages), SVG XML
    string (all languages except C), BufferedImage raster bitmap (Java only),
    HTML5 canvas (JavaScript and TypeScript only)
  * Encodes numeric and special-alphanumeric text in less space than general
    text
  * Open source code under the permissive MIT License
 .
 This package contains the development files in C++.

Package: python3-qrcodegen
Section: python
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${python3:Depends}
Description: QR Code generator library in multiple languages - Python3 version
 This project aims to be the best, clearest QR Code generator library in
 multiple languages. The primary goals are flexible options and absolute
 correctness. Secondary goals are compact implementation size and good
 documentation comments. Core features:
  * Available in 7 programming languages, all with nearly equal functionality:
    Java, JavaScript, TypeScript, Python, C++, C, Rust
  * Significantly shorter code but more documentation comments compared to
    competing libraries
  * Supports encoding all 40 versions (sizes) and all 4 error correction levels,
    as per the QR Code Model 2 standard
  * Output formats: Raw modules/pixels of the QR symbol (all languages), SVG XML
    string (all languages except C), BufferedImage raster bitmap (Java only),
    HTML5 canvas (JavaScript and TypeScript only)
  * Encodes numeric and special-alphanumeric text in less space than general
    text
  * Open source code under the permissive MIT License
 .
 This package contains the module in Python3.
