=== debian/changelog ===
qr-code-generator (1.5.0-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:55:13 +0100

qr-code-generator (1.5.0-2) unstable; urgency=medium

  * Fix symbols on 32-bit architectures

 -- Yangfl <mmyangfl@gmail.com>  Mon, 29 Jul 2019 11:09:12 +0800

qr-code-generator (1.5.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.4.0
  * Bump debhelper compat to 12

 -- Yangfl <mmyangfl@gmail.com>  Sun, 21 Jul 2019 01:11:52 +0800
