=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Yangfl <mmyangfl@gmail.com>
 Build-Depends:
- debhelper (>=11~),
+ debhelper-compat (= 12),
  dh-python,
  python3,
  python3-setuptools,
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Homepage: https://github.com/nayuki/QR-Code-generator
 Vcs-Git: https://salsa.debian.org/yangfl-guest/QR-Code-generator.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/QR-Code-generator
