=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,9 @@
 
 include /usr/share/dpkg/pkg-info.mk
 
-export PYBUILD_SYSTEM = distutils
+export VERSION := $(DEB_VERSION_UPSTREAM)
+export MULTIARCH := $(DEB_HOST_MULTIARCH)
+export PYBUILD_SYSTEM := distutils
 
 
 %:
@@ -53,5 +55,5 @@
 	rm -rf ./c/libqrcodegen.so.1 ./cpp/libqrcodegencpp.so.1
 
 override_dh_auto_install-arch:
-	dh_auto_install --sourcedirectory=c/ -- QRCODEGEN_VERSION="$(DEB_VERSION_UPSTREAM)"
-	dh_auto_install --sourcedirectory=cpp/ -- QRCODEGEN_VERSION="$(DEB_VERSION_UPSTREAM)"
+	dh_auto_install --sourcedirectory=c/
+	dh_auto_install --sourcedirectory=cpp/
