=== debian/changelog ===
qr-code-generator (1.5.0-2build1+9.0trisquel2) etiona-backports; urgency=medium

  * Backported from Focal

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 30 Mar 2020 00:50:21 +0000
