## qr-code-generator 1.6.0

=== c/Makefile ===
--- 
+++ 
@@ -28,6 +28,12 @@
 # - CC: The C compiler, such as gcc or clang.
 # - CFLAGS: Any extra user-specified compiler flags (can be blank).
 
+# Recommended compiler flags:
+CFLAGS += -std=c99 -O
+
+# Extra flags for diagnostics:
+# CFLAGS += -g -Wall -Wextra -Wpedantic -Wconversion -Wsign-conversion -fsanitize=undefined,address
+
 
 # ---- Controlling make ----
 
@@ -45,44 +51,17 @@
 # ---- Targets to build ----
 
 LIB = qrcodegen
-LIBFILE = lib$(LIB).so
-ARFILE = lib$(LIB).a
-SO_NAME = $(LIBFILE).1
-REAL_NAME = $(LIBFILE).$(VERSION)
-HEADERS = qrcodegen.h
+LIBFILE = lib$(LIB).a
 LIBOBJ = qrcodegen.o
 MAINS = qrcodegen-demo qrcodegen-test qrcodegen-worker
 
-MULTIARCH ?= $(shell $(CC) --print-multiarch)
-
-INCLUDEDIR ?= $(DESTDIR)/usr/include/qrcodegen
-LIBDIR ?= $(DESTDIR)/usr/lib/$(MULTIARCH)
-
 # Build all binaries
-all: $(LIBFILE) $(ARFILE) $(MAINS)
+all: $(LIBFILE) $(MAINS)
 
 # Delete build output
 clean:
-	rm -f -- $(LIBOBJ) $(LIBFILE) $(ARFILE) $(MAINS:=.o) $(MAINS)
+	rm -f -- $(LIBOBJ) $(LIBFILE) $(MAINS:=.o) $(MAINS)
 	rm -rf .deps
-
-install-shared: $(LIBFILE)
-	install -d $(LIBDIR) || true
-	install -m 0644 $(LIBFILE) $(LIBDIR)/$(REAL_NAME)
-	rm -f $(LIBDIR)/$(SO_NAME)
-	ln -s $(REAL_NAME) $(LIBDIR)/$(SO_NAME)
-	rm -f $(LIBDIR)/$(LIBFILE)
-	ln -s $(SO_NAME) $(LIBDIR)/$(LIBFILE)
-
-install-static: $(ARFILE)
-	install -d $(LIBDIR) || true
-	install -m 0644 $(ARFILE) $(LIBDIR)/$(ARFILE)
-
-install-header: $(HEADERS)
-	install -d $(INCLUDEDIR) || true
-	install -m 0644 $(HEADERS) $(INCLUDEDIR)/
-
-install: install-shared install-static install-header
 
 # Executable files
 %: %.o $(LIBFILE)
@@ -93,15 +72,12 @@
 	$(CC) $(CFLAGS) -DQRCODEGEN_TEST -o $@ $^
 
 # The library
-$(ARFILE): $(LIBOBJ)
+$(LIBFILE): $(LIBOBJ)
 	$(AR) -crs $@ -- $^
-
-$(LIBFILE): $(LIBOBJ)
-	$(CC) -shared -Wl,-soname,$(SO_NAME) $(LDFLAGS) -o $@ $^
 
 # Object files
 %.o: %.c .deps/timestamp
-	$(CC) $(CFLAGS) -fPIC -c -o $@ -MMD -MF .deps/$*.d $<
+	$(CC) $(CFLAGS) -c -o $@ -MMD -MF .deps/$*.d $<
 
 # Have a place to store header dependencies automatically generated by compiler
 .deps/timestamp:
