=== cpp/Makefile ===
--- 
+++ 
@@ -28,6 +28,12 @@
 # - CXX: The C++ compiler, such as g++ or clang++.
 # - CXXFLAGS: Any extra user-specified compiler flags (can be blank).
 
+# Recommended compiler flags:
+CXXFLAGS += -std=c++11 -O
+
+# Extra flags for diagnostics:
+# CXXFLAGS += -g -Wall -Wextra -Wpedantic -Wconversion -Wsign-conversion -fsanitize=undefined,address
+
 
 # ---- Controlling make ----
 
@@ -44,60 +50,30 @@
 
 # ---- Targets to build ----
 
-LIB = qrcodegencpp
-LIBFILE = lib$(LIB).so
-ARFILE = lib$(LIB).a
-SO_NAME = $(LIBFILE).1
-REAL_NAME = $(LIBFILE).$(VERSION)
-HEADERS = BitBuffer.hpp QrCode.hpp QrSegment.hpp
-LIBOBJ = BitBuffer.o QrCode.o QrSegment.o
+LIB = qrcodegen
+LIBFILE = lib$(LIB).a
+LIBOBJ = QrCode.o
 MAINS = QrCodeGeneratorDemo QrCodeGeneratorWorker
 
-MULTIARCH ?= $(shell $(CC) --print-multiarch)
-
-INCLUDEDIR ?= $(DESTDIR)/usr/include/qrcodegen
-LIBDIR ?= $(DESTDIR)/usr/lib/$(MULTIARCH)
-
 # Build all binaries
-all: $(LIBFILE) $(ARFILE) $(MAINS)
+all: $(LIBFILE) $(MAINS)
 
 # Delete build output
 clean:
-	rm -f -- $(LIBOBJ) $(LIBFILE) $(ARFILE) $(MAINS:=.o) $(MAINS)
+	rm -f -- $(LIBOBJ) $(LIBFILE) $(MAINS:=.o) $(MAINS)
 	rm -rf .deps
-
-install-shared: $(LIBFILE)
-	install -d $(LIBDIR) || true
-	install -m 0644 $(LIBFILE) $(LIBDIR)/$(REAL_NAME)
-	rm -f $(LIBDIR)/$(SO_NAME)
-	ln -s $(REAL_NAME) $(LIBDIR)/$(SO_NAME)
-	rm -f $(LIBDIR)/$(LIBFILE)
-	ln -s $(SO_NAME) $(LIBDIR)/$(LIBFILE)
-
-install-static: $(ARFILE)
-	install -d $(LIBDIR) || true
-	install -m 0644 $(ARFILE) $(LIBDIR)/$(ARFILE)
-
-install-header: $(HEADERS)
-	install -d $(INCLUDEDIR) || true
-	install -m 0644 $(HEADERS) $(INCLUDEDIR)/
-
-install: install-shared install-static install-header
 
 # Executable files
 %: %.o $(LIBFILE)
 	$(CXX) $(CXXFLAGS) -o $@ $< -L . -l $(LIB)
 
 # The library
-$(ARFILE): $(LIBOBJ)
+$(LIBFILE): $(LIBOBJ)
 	$(AR) -crs $@ -- $^
-
-$(LIBFILE): $(LIBOBJ)
-	$(CXX) -shared -Wl,-soname,$(SO_NAME) $(LDFLAGS) -o $@ $^
 
 # Object files
 %.o: %.cpp .deps/timestamp
-	$(CXX) $(CXXFLAGS) -fPIC -c -o $@ -MMD -MF .deps/$*.d $<
+	$(CXX) $(CXXFLAGS) -c -o $@ -MMD -MF .deps/$*.d $<
 
 # Have a place to store header dependencies automatically generated by compiler
 .deps/timestamp:
