=== debian/changelog ===
qr-code-generator (1.6.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.5.1
  * Bump debhelper compat to 13
  * Add upstream metadata

 -- Yangfl <mmyangfl@gmail.com>  Sun, 21 Feb 2021 23:21:08 +0800
