=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: optional
 Maintainer: Yangfl <mmyangfl@gmail.com>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3,
  python3-setuptools,
-Standards-Version: 4.4.0
+Rules-Requires-Root: no
+Standards-Version: 4.5.1
 Homepage: https://github.com/nayuki/QR-Code-generator
 Vcs-Git: https://salsa.debian.org/yangfl-guest/QR-Code-generator.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/QR-Code-generator
