## qr-code-generator 1.7.0

=== debian/changelog ===
qr-code-generator (1.7.0-2) unstable; urgency=medium

  * Fix ABI interface

 -- Yangfl <mmyangfl@gmail.com>  Mon, 24 Jan 2022 22:44:43 +0800

qr-code-generator (1.7.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.0

 -- Yangfl <mmyangfl@gmail.com>  Sun, 02 Jan 2022 18:52:31 +0800
