=== debian/control ===
--- 
+++ 
@@ -4,11 +4,12 @@
 Maintainer: Yangfl <mmyangfl@gmail.com>
 Build-Depends:
  debhelper-compat (= 13),
+Build-Depends-Indep:
  dh-python,
  python3,
  python3-setuptools,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/nayuki/QR-Code-generator
 Vcs-Git: https://salsa.debian.org/yangfl-guest/QR-Code-generator.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/QR-Code-generator
