=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 	dh $@
 
 override_dh_auto_clean-indep:
-	dh_auto_clean --buildsystem=pybuild --sourcedirectory=python/
+	-dh_auto_clean --buildsystem=pybuild --sourcedirectory=python/
 	rm -rf python/qrcodegen.egg-info
 
 override_dh_auto_build-indep:
@@ -40,19 +40,12 @@
 	dh_auto_clean --sourcedirectory=c/
 	dh_auto_clean --sourcedirectory=cpp/
 
-override_dh_clean-arch:
-	dh_clean -a
-	rm -rf ./c/libqrcodegen.so.1 ./cpp/libqrcodegencpp.so.1
-
 override_dh_auto_build-arch:
 	dh_auto_build --sourcedirectory=c/
 	dh_auto_build --sourcedirectory=cpp/
 
 override_dh_auto_test-arch:
-	ln -sf libqrcodegen.so ./c/libqrcodegen.so.1
-	ln -sf libqrcodegencpp.so ./cpp/libqrcodegencpp.so.1
-	cd python && python3 qrcodegen-batch-test.py
-	rm -rf ./c/libqrcodegen.so.1 ./cpp/libqrcodegencpp.so.1
+	./c/qrcodegen-test
 
 override_dh_auto_install-arch:
 	dh_auto_install --sourcedirectory=c/
