## qr-code-generator 1.8.0

=== debian/changelog ===
qr-code-generator (1.8.0-1.2build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 19:56:55 +0200

qr-code-generator (1.8.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control:
    + Fix typo.
    + Do not list ${maven:CompileDepends} from libqrcodegen-java
      runtime dependencies per bug report request. (Closes: #1015192)

 -- Boyuan Yang <byang@debian.org>  Mon, 18 Sep 2023 20:46:07 -0400

qr-code-generator (1.8.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No change source-only upload.

 -- Boyuan Yang <byang@debian.org>  Mon, 16 May 2022 20:25:05 -0400

qr-code-generator (1.8.0-1) unstable; urgency=medium

  * New upstream release
  * Package java library (Closes: #1010618)
  * Bump Standards-Version to 4.6.1

 -- Yangfl <mmyangfl@gmail.com>  Mon, 16 May 2022 23:34:58 +0800
