=== debian/control ===
--- 
+++ 
@@ -1,15 +1,19 @@
 Source: qr-code-generator
 Section: libs
 Priority: optional
-Maintainer: Yangfl <mmyangfl@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Yangfl <mmyangfl@gmail.com>
 Build-Depends:
  debhelper-compat (= 13),
 Build-Depends-Indep:
  dh-python,
  python3,
+ libmaven-compiler-plugin-java,
  python3-setuptools,
+ default-jdk,
+ maven-debian-helper,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/nayuki/QR-Code-generator
 Vcs-Git: https://salsa.debian.org/yangfl-guest/QR-Code-generator.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/QR-Code-generator
@@ -138,3 +142,28 @@
   * Open source code under the permissive MIT License
  .
  This package contains the module in Python3.
+
+Package: libqrcodegen-java
+Section: java
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}, ${maven:Depends}
+Description: QR Code generator library in multiple languages - Java version
+ This project aims to be the best, clearest QR Code generator library in
+ multiple languages. The primary goals are flexible options and absolute
+ correctness. Secondary goals are compact implementation size and good
+ documentation comments. Core features:
+  * Available in 7 programming languages, all with nearly equal functionality:
+    Java, JavaScript, TypeScript, Python, C++, C, Rust
+  * Significantly shorter code but more documentation comments compared to
+    competing libraries
+  * Supports encoding all 40 versions (sizes) and all 4 error correction levels,
+    as per the QR Code Model 2 standard
+  * Output formats: Raw modules/pixels of the QR symbol (all languages), SVG XML
+    string (all languages except C), BufferedImage raster bitmap (Java only),
+    HTML5 canvas (JavaScript and TypeScript only)
+  * Encodes numeric and special-alphanumeric text in less space than general
+    text
+  * Open source code under the permissive MIT License
+ .
+ This package contains the library for Java.
