=== debian/rules ===
--- 
+++ 
@@ -28,12 +28,27 @@
 
 override_dh_auto_clean-indep:
 	-dh_auto_clean --buildsystem=pybuild --sourcedirectory=python/
+	# mh_(un)patchpoms does not obey --sourcedirectory=java/
+	-mh_patchpoms -plibqrcodegen-java
+	-dh_auto_clean --buildsystem=maven --sourcedirectory=java/ -plibqrcodegen-java
+	-mh_unpatchpoms -plibqrcodegen-java
 	rm -rf python/qrcodegen.egg-info
+
+execute_before_dh_auto_configure-indep:
+	dh_auto_configure --buildsystem=maven -plibqrcodegen-java
 
 override_dh_auto_build-indep:
 	dh_auto_build --buildsystem=pybuild --sourcedirectory=python/
+	dh_auto_build --buildsystem=maven --sourcedirectory=java/
 
 override_dh_auto_install-indep:
+	# mv, sed, rm: work around buildsystem=maven calling mh_resolve_dependencies in java/
+	mv java/pom.xml.save java/pom.xml.backup
+	dh_auto_install -plibqrcodegen-java --buildsystem=maven --sourcedirectory=java/
+	mv java/pom.xml.backup java/pom.xml.save
+	mh_unpatchpoms -plibqrcodegen-java
+	sed -i 's/maven\./maven:/' debian/libqrcodegen-java.substvars
+	rm -r java/.debianVersion java/debian/
 	dh_auto_install --buildsystem=pybuild --sourcedirectory=python/
 
 override_dh_auto_clean-arch:
