=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%qr-code-generator-$1.tar.gz%" \
   https://github.com/nayuki/QR-Code-generator/releases \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
